/////////////////////////////////////////////////////////
// DoodleSprite by Richard Lems

varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump float seconds;

uniform mediump float freqX;
uniform mediump float freqY;
uniform mediump float ampX;
uniform mediump float ampY;
uniform mediump float speedX;
uniform mediump float speedY;
uniform mediump float wigglestep;

void main(void)
{
	mediump vec2 p = vTex;

  p.x += cos((vTex.y-0.0) * freqX + (step(wigglestep, abs( sin(seconds*speedX)) ) )) * ampX * 0.01;
	p.y += sin((vTex.x-0.0) * freqY + (step(wigglestep, abs( sin(seconds*speedY)) ) )) * ampY * 0.01;

	gl_FragColor = texture2D(samplerFront, p);
}
